package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.KQ;
import com.sa.ibiz.demo.demo.service.dto.KQSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[KQ] 服务对象接口
 */
public interface KQService extends IService<KQ>{

	boolean getDraft(KQ et);
	boolean remove(KQ et);
	boolean create(KQ et);
		KQ get(KQ et);
	boolean checkKey(KQ et);
	boolean update(KQ et);
    List<KQ> listDefault(KQSearchFilter filter) ;
	Page<KQ> searchDefault(KQSearchFilter filter);
	/**	 实体[KQ] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }